TJ3SS_SENDER(1)

NAME
tj3ss_sender - send out status sheets templates via email

SYNOPSIS
tj3ss_sender [options]

DESCRIPTION
This program can be used to out status sheets templates via email. It will generate status sheet templates for managers of the project. The project data will be accesses via tj3client from a running TaskJuggler server process.

OPTIONS

-c, --config <FILE>
    Use the specified YAML configuration file

--silent
    Don't show program and progress information

--no-color
    Don't use ANSI contol sequences to color the terminal output. Colors should only be used when spooling to an ANSI terminal. In case the detection fails, you can use this option to force colors to be off.

--debug
    Enable Ruby debug mode

-d, --directory <DIR>
    Use the specified directory as working directory

--dryrun
    Don't send out any emails or do SCM commits

-r, --resource <ID>
    Only generate template for given resource

-f, --force
    Send out a new template even if one exists already

--hideresource <EXPR> Filter expression to limit the resource list

-i, --interval <DURATION> The duration of the interval. This is a number
    directly followed by a unit. 1w means one week (the default), 5d means 5 days and 72h means 72 hours.

-e, --enddate <DAY>
    The end date of the reporting period. Either as YYYY-MM-DD or day of week. 0: Sunday, 1: Monday and so on. The default value is 2026-02-04.

-h, --help
    Show this message

--version
    Show version info

ENVIRONMENT

HOME
    The user's home folder. Used to search for configuration file if not specified.

FILES

.taskjugglerrc or taskjuggler.rc tj3d searches for a config file named .taskjugglerrc or taskjuggler.rc in the current path, the user's home path as specified by the HOME environment variable or /etc/. At a minimum the file must configure an authentication key, an e-mail delivery method and sender e-mail e.g.:

_global:
   authKey: ********
   smtpServer: smtp.your_company.com
_statussheets:
   senderEmail: 'TaskJuggler <statussheets@taskjuggler.amd.com>'

(the user should specify their own auth key and set file permissions accordingly). An alternative config file location may be specified using the -c, --config FILE option.

statussheets.log
    The statussheets log file, created in the working directory.

StatusSheetTemplates
    Base directory of the sheet templates, created in the working directory.

COPYRIGHT
Copyright © 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017, 2018, 2019, 2020

    by Chris Schlaeger <cs@taskjuggler.org>

This program is free software; you can redistribute it and/or modify it under the terms of version 2 of the GNU General Public License as published by the Free Software Foundation.

For more info about TaskJuggler see http://www.taskjuggler.org

SEE ALSO

tj3ss_receiver(1), tj3d(1)

The full TaskJuggler manual is available online at http://www.taskjuggler.org/tj3/manual/, or via the tj3man command.